<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
err();
$set['title']='Анкета дня (показывать всем)';
include_once '../sys/inc/thead.php';
title();
aut();





if(!isset($user)){
echo '<div class="err">Доступ закрыт для гостей.Пройдите Авторизация</div>';
}else{

only_reg();










if($_GET['mode']=='go'){
$total=$_POST['total'];
$text=$_POST['text'];
$sum=$total*150;
if($user['balls']>$sum){
$vr=time();
$vr+=86400*$total;
$vrem=24*$total;
$timer=$vr;
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-$sum)."' WHERE `id` = '$user[id]';");
mysql_query("INSERT INTO `leaders` (`user`, `time`, `balls`, `text`) values('$user[id]', '".intval($timer)."', '".intval($total)."', '".htmlspecialchars(mysql_real_escape_string($text))."')",$db);
msg('Вы добавлены В Лидеры на '.$vrem.' часов');
}
else{
msg('На вашем балансе нет '.$sum.' баллов');
}
}
########

echo'<b>Сервисы</b><br/>';
echo'<form action="service_activate.php?mode=go" method="post">';
echo'Кол-во cуток:<br/>';
echo'<select name="total" class="form">';
echo'<option value="1">1</option>';
echo'<option value="2">2</option>';
echo'<option value="3">3</option>';
echo'<option value="4">4</option>';
echo'<option value="5">5</option>';
echo'</select>';
echo'<br/>';
echo'Комментарии под вашей анкетой:<br />';
echo"<input type='text' name='text' value='' maxlength='200' /><br />";

echo'<input type="submit" name="submit" value="Активировать" class="form"/>';
echo'</form>';
echo'<br/><b>Вы собираетесь активировать:</b><br/>';
echo'Услуга: Анкета дня (показывать всем)
<br/>---<br/>
<b>Описание:</b> Услуга "Анкета дня" позволяет разместить и показывать вашу анкету (по очереди с другими анкетами дня) на главной странице сайта. Продолжительность услуги вы сможете указать при активации. Активируйте услугу и вас обязательно заметят!
<br/>---<br/>
Обращаем ваше внимание. Мы оставляем за собой право приостановить действие услуги, в случае размещения в вашей анкете (или фото, видео) оскорблений, мата, рекламы, ссылок на другие сайты.
<br/>---<br/>
<b>Цена:</b> 150 баллов (За одни сутки)';


}
include_once '../sys/inc/tfoot.php';
?>